Page MenuHomeFreeBSD

New ports: fcitx5*
ClosedPublic

Authored by khng on Dec 18 2020, 11:05 AM.

Details

Summary

This revision adds Fcitx5 IME framework which is the future version
of the legacy Fcitx IME framework.

Here are the essential parts of Fcitx5:

  • New port: x11/xcb-imdkit
  • New port: textproc/fcitx5

Here are the application supports libraries of Fcitx5:

  • New port: textproc/fcitx5-qt
  • New port: textproc/fcitx5-gtk

Below is the GUI configuration tool of Fcitx5:

  • New port: textproc/fcitx5-configtool

Here are the IME addons for Fcitx5:

  • New port: chinese/fcitx5-rime
  • New port: japanese/fcitx5-anthy

textproc/fcitx5 and chinese/fcitx cannot be installed at the same time right now,
due to development environment and runtime conflicts users could possibly run
into.

Sponsored by: The FreeBSD Foundation

Test Plan

poudriere build + fcitx5 users feedback

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

chinese/fcitx5-rime/pkg-descr
3 ↗(On Diff #80890)
textproc/fcitx5-configtool/pkg-descr
3 ↗(On Diff #80890)
textproc/fcitx5-gtk/pkg-descr
1 ↗(On Diff #80890)

Gtk?

3 ↗(On Diff #80890)
textproc/fcitx5/pkg-descr
3 ↗(On Diff #80890)
textproc/fcitx5-gtk/Makefile
17 ↗(On Diff #80890)

TODO: remove qt:5

khng marked an inline comment as not done.Dec 18 2020, 11:24 AM
  • Dependencies cleanups on textproc/fcitx5-gtk
  • Dependencies fixes on textproc/fcitx5-qt
  • Dependencies fixes and options changes on textproc/fcitx5
  • Dependencies cleanups on textproc/fcitx5-config
  • Use DIST_SUBDIR in textproc/fcitx5 due to fetching dictionary file
  • Update fcitx5* pkg-descr
  • Add pkg-message.in for textproc/fcitx5
  • Update fcitx5* pkg-descr
khng published this revision for review.Dec 18 2020, 6:04 PM
khng marked 3 inline comments as done.Dec 18 2020, 6:29 PM
khng marked an inline comment as done.
  • Update fcitx5-gtk pkg-descr
khng planned changes to this revision.Dec 19 2020, 3:22 AM
khng added inline comments.
textproc/fcitx5-gtk/pkg-descr
1 ↗(On Diff #80890)

I named to GTK+ instead

  • Add missing libxcb-keysyms.so to x11/xcb-imdkit
  • Add missing xcb* dependencies to textproc/fcitx5
  • Add missing qt5-concurrent dependencies to textproc/fcitx5-qt
  • Drop USE_FLATPAK_ICON from textproc/fcitx5
  • Refactor fcitx5 and fcitx5-qt dependencies in textproc/fcitx5-configtool
  • Refactor fcitx5 dependencies in chinese/fcitx5-rime
  • Fix fcitx5* and xcb-imdkit language versions.
  • Add fcitx5-configtool to x11 category also
  • New port: japanese/fcitx5-anthy
This revision is now accepted and ready to land.Dec 19 2020, 4:42 PM
  • Add FCITX5_DOWNLOAD_DISALLOWED cmake option for textproc/fcitx5
This revision now requires review to proceed.Dec 19 2020, 5:17 PM
khng marked an inline comment as done.Dec 19 2020, 5:18 PM
  • Add FCITX5_DOWNLOAD_DISALLOWED cmake option for textproc/fcitx5 (Updated)
  • New port: chinese/fcitx5-chewing
  • textproc/fcitx5: Use CP instead of RLN for data files
  • textproc/fcitx5: Add a variable for datafile tarballs
  • chinese/fcitx5-rime: Depends on individual essential schema ports
ygy requested changes to this revision.Dec 28 2020, 12:12 PM
ygy added a subscriber: ygy.
--------------------------
|Index: chinese/fcitx5-chewing/Makefile
|===================================================================
|--- /dev/null
|+++ chinese/fcitx5-chewing/Makefile
--------------------------
Patching file Makefile using Plan A...
Patch creates file that already exists!

https://www.freshports.org/chinese/fcitx-chewing/

This revision now requires changes to proceed.Dec 28 2020, 12:12 PM

Ah sorry it was my bad... My CI didn't realize that it was a patch -p0 patch.

This revision is now accepted and ready to land.Dec 28 2020, 12:56 PM
This revision was automatically updated to reflect the committed changes.